Bug 619799 - Review Request: mingw32-pcre - Perl-compatible regular expression library.
Summary: Review Request: mingw32-pcre - Perl-compatible regular expression library.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andrew Beekhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-30 14:56 UTC by Ryan O'Hara
Modified: 2010-12-03 12:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 12:39:44 UTC
andrew: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Adam Stokes 2010-09-20 15:56:01 UTC
I'm taking over this package from Ryan, he's moved onto other projects

Updated SRPM:

http://repos.fedorapeople.org/repos/beekhof/matahari/fedora-13/SRPMS/mingw32-pcre-8.10-2.fc13.src.rpm

Comment 2 Andrew Beekhof 2010-09-20 18:12:02 UTC
Looks like no-one set the review flag.

Comment 3 Andrew Beekhof 2010-09-20 18:13:48 UTC
As far as I can see, this package passes the review criteria for inclusion.
Go ahead and request the CVS flag. 

rpmlint  ../SPECS/mingw32-pcre.spec mock/*pcre* 
mingw32-pcre.noarch: I: enchant-dictionary-not-found en_US
mingw32-pcre-debuginfo.noarch: E: debuginfo-without-sources
3 packages and 1 specfiles checked; 1 errors, 0 warnings.

Using https://bugzilla.redhat.com/show_bug.cgi?id=499987 as a precedent, the Error is considered harmless

MUST
+   rpmlint errors / warnings above are harmless and can be ignored.
+   Package is named according to the Fedora MinGW naming guidelines
+   Package follows the Fedora MinGW packaging guideliens
+   The stated license (BSD) is a Fedora approved license
+   The stated license is the same as the one for the corresponding
    native Fedora package
+   The package contains the license file (COPYING)
+   Spec file is written in American English
+   Spec file is legible
+   Upstream sources match sources in the srpm. md5sum:
      9524f0ff50b9093c02c81f911e41b066  pcre-8.10.tar.gz
      9524f0ff50b9093c02c81f911e41b066  SOURCES/pcre-8.10.tar.gz
+   Package builds in koji
n/a ExcludeArch bugs filed
+   BuildRequires look sane, except that BR pkgconfig is probably not needed.
n/a The spec file MUST handle locales properly
+   Packages does not bundle copies of system libraries
+   Does not use Prefix: /usr
+   Package owns all directories it creates
+   No duplicate files in %files
+   Permissions are properly set and %files has %defattr
+   %clean contains rm -rf $RPM_BUILD_ROOT
+   Consistent use of macros
+   Package contains code or permissible content
n/a Large documentation files should go in -doc subpackage
+   Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
n/a Static libraries are in -static
+   Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+   Packages must not own files or directories owned by other packages
+   %install begins with rm -rf $RPM_BUILD_ROOT
+   Filenames must be valid UTF-8


SHOULD:
n/a If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it
-   The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available
+   The reviewer should test that the package builds in mock
+   The package should compile and build into binary rpms on all supported architectures
+   The reviewer should test that the package functions as described
n/a If scriptlets are used, those scriptlets must be sane
n/a Usually, subpackages other than devel should require the base package
+ The placement of pkgconfig(.pc) files 
- your package should contain man pages for binaries/scripts
  Fedora MinGW guidelines indicate not to duplicate documentation found in Fedora native packages

Comment 4 Andrew Beekhof 2010-09-20 18:16:37 UTC
Switching to my alternate identity which is allowed to set the review flag.

Comment 5 Andrew Beekhof 2010-09-20 18:18:20 UTC
New Package SCM Request
=======================
Package Name: mingw32-pcre
Short Description: MinGW Windows pcre library
Owners: astokes
Branches: f13 f14 devel
InitialCC: beekhof pmyers

Comment 6 Kevin Fenzi 2010-09-21 03:42:46 UTC
Git done (by process-git-requests).

Comment 7 Andrew Beekhof 2010-12-03 12:39:44 UTC
Imported, closing.


Note You need to log in before you can comment on or make changes to this bug.